$footer-width: 100% !default;
$footer-height: rhythm(2) !default;
$footer-margin: rhythm(1) 0 0 0 !default;
$footer-pading: rhythm(.5) 0 !default;
$footer-font-size: map-get($font-sizes, 'tiny') !default;
$footer-font-weight: lighter !default;
$footer-text-transform: lowercase !default;
$footer-text-align: center !default;
$footer-color: map-get($text-colors, 'light') !default;
$footer-link-color: inherit !default;
$footer-link-hover-color: map-get($text-colors, 'normal') !default;
$footer-link-hover-shadow: none !default;


.#{$namespace}-footer {
  width: $footer-width;
  height: $footer-height;
  margin: $footer-margin;
  padding: $footer-pading;
  font-size: $footer-font-size;
  font-weight: $footer-font-weight;
  text-transform: $footer-text-transform;
  text-align: $footer-text-align;
  color: $footer-color;

  .#{$namespace}-link {
    color: $footer-link-color;

    &:hover {
      color: $footer-link-hover-color;
      box-shadow: $footer-link-hover-shadow;
    }
  }
}


@include respond-to('medium') {
  .#{$namespace}-footer {
    border: 0;
  }
}